package com.diagbot.biz.push.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/12/11 14:16
 */
@Getter
@Setter
public class SearchBaseData {
    private int age_start = 0;
    private int age_end = 200;
    /**
     * 搜索结果的贝叶斯阈值
     */
    private String threshold = "0";
    /**
     * 外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
     */
    private String sysCode;
    /**
     * 大数据返回内容截取长度
     */
    private Integer length;
    /**
     * 医院编码
     */
    private String hosCode;
    /**
     * 推理类型（1：症状，4：查体结果，41：查体模板，42：查体指标，5：化验，6：辅检，7：诊断，8：治疗方案，11：管理评估，21：量表，22：病情提示-量表、计算公式、可能结果、危急值、开单合理性、异常值等）
     */
    private String featureType;
    /**
     * 规则类型（1:危机值提醒，2：开单合理性，3：管理评估，4：不良反应，5：药物推荐，6：异常值）
     */
    private String ruleType;
    /**
     * 年龄
     */
    private Integer age;

    /**
     * 婚姻
     */
    private String marriage;
    /**
     * 主诉
     */
    private String chief;
    /**
     * 现病史
     */
    private String symptom;
    /**
     * 查体
     */
    private String vital;
    /**
     * 既往史
     */
    private String pasts;
    /**
     * 传染病史
     */
    private String infectious;
    /**
     * 手术外伤史
     */
    private String operation;
    /**
     * 过敏史
     */
    private String allergy;
    /**
     * 接种史
     */
    private String vaccination;
    /**
     * 个人史
     */
    private String personal;
    /**
     * 婚育史
     */
    private String marital;
    /**
     * 家族史
     */
    private String family;
    /**
     * 月经史
     */
    private String menstrual;
    /**
     * 其他史
     */
    private String other;
    /**
     * 化验文本数据
     */
    private String lisString;
    /**
     * 辅检文本数据
     */
    private String pacsString;
    /**
     * 诊断文本数据
     */
    private String diagString;
    /**
     * 药品文本数据
     */
    private String drugString;
    /**
     * 化验项目和结果
     */
    private List<Lis> lis;
    /**
     * 辅检项目和结果
     */
    private List<Pacs> pacs;
    /**
     * 诊断
     */
    private List<Item> diag;
    /**
     * 药品
     */
    private List<Item> drug;
    /**
     * 当前化验开单项
     */
    private List<Lis> lisOrder;
    /**
     * 当前辅检开单项
     */
    private List<Pacs> pacsOrder;
    /**
     * 当前诊断开单项
     */
    private List<Item> diagOrder;
    /**
     * 当前药品开单项
     */
    private List<Item> drugOrder;
    /**
     * 当前手术开单项
     */
    private List<Item> operationOrder;
    /**
     * 其他开单项
     */
    private List<Item> otherOrder;
    /**
     * 选中诊断
     */
    private Item diseaseName;
    /**
     * 诊断类型（0-普通病（默认不填），1-慢病，2-急诊）
     */
    private Integer disType;
    /**
     * 量表名称
     */
    private String scaleName;
    /**
     * 是否映射（0：否，1：是）
     */
    private Integer isMapping;
    /**
     * 系统类型
     */
    private Integer sysType;
}
